AOZ Studio Beta - Bug #469

Bob Scale not working correctly for rotated image. (also see #436)
09/06/2020 12:06 PM - David Baldwin

Status: Closed Start date: 09/06/2020
Priority: High Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 1:00 hour
Target version: Beta 1

Affected version: 0.9.9.4-RC1

Description

When scaling a rotated image, the scaling is done on the normal x and y axis, not on the rotated axis as you'd expect, which then
skews the image.

History

#1 - 09/14/2020 12:22 PM - Brian Flanagan
- Priority changed from Normal to High
- Estimated time set to 1:00 h

#2 - 09/14/2020 12:51 PM - Laurant Weill

- Subject changed from Bob Scale not working correctly for rotated image. to Bob Scale not working correctly for rotated image. (also see #436)

#3 - 10/11/2020 10:33 AM - David Baldwin

- File renderer.js added

I've managed to fix this in the renderer by utilising the skew elements of setTransform to carry out the rotation instead of rotate. It seems to work with
the examples I've tried it on by there are still issues with the Skew calculations which were there before. I've attached the modified renderer.js file.
The only lines I've changed are 501-508.

#4 - 11/17/2020 03:37 PM - Francois Lionet
- Status changed from New to Resolved

- Target version set to Beta 1

Was fixed a week ago...

#5 - 11/17/2020 06:27 PM - David Baldwin

- Status changed from Resolved to Closed

Files

renderer.js 27.7 KB 10/11/2020 David Baldwin
